* {
    margin: 0;
    padding: 0;
    outline: none;
}
body, html {
    -webkit-touch-callout: none;
    -webkit-text-size-adjust: none;
    -webkit-user-select: none;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    background-color: black;
    color: white;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
}
#game {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 100%;
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    -o-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}
#canvas {
    margin: 0 auto;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

#editor {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    width: 306px;
    padding: 20px 10px 20px 20px;
    background: #EEEEEE;
    box-sizing: border-box;
    overflow-y: scroll;
    z-index: 20;
    display: none;
}
hr {
    clear: both;
    border: 1px solid #666666;
    margin: 12px 0 12px;
}
h2 {
    margin-top: 10px;
    font-size: 14px;
    line-height: 32px;
    color: #333333;
    clear: both;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
h3 {
    font-size: 12px;
    line-height: 24px;
    color: #333333;
    clear: both;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
input + h3,
select + h3 {
    margin-top:4px;
}
a {
    font-size: 13px;
    font-weight: 700;
    color: #333333;
    text-decoration: none;
}
a.button {
    display: inline-block;
    width: 100%;
    height: 32px;
    line-height: 32px;
    border: 1px solid #333333;
    background: #DDDDDD;
    text-decoration: none;
    text-align: center;
    box-sizing: border-box;
}
a.button.left {
    width: 48%;
}
a.button.right {
    width: 48%;
    margin-left: 4%;
}
a.button:hover {
    background-color: #CCCCCC;
}
.new,
.resize {
    margin-bottom: 6px;
}
.shift {
    margin-top: 6px;
}
ul.objects {
    float: left;
    margin-bottom: 10px;
    list-style: none;
}
ul.objects li {
    float: left;
    width: 33px;
    height: 33px;
    line-height: 31px;
    font-size: 12px;
    font-weight: 400;
    text-align: center;
    margin: 0 4px 4px 0;
    border: 1px solid #333333;
    background: #000000;
    box-sizing: border-box;
    cursor: pointer;
}
ul.objects li.selected {
    border: 2px solid crimson;
}
ul.objects li img {
    max-width: 100%;
    max-height: 100%;
}
input[type=range] {
    -webkit-appearance: none;
    width: 70%;
    height: 24px;
    line-height: 22px;
    padding: 0;
}
input[type=range]::-webkit-slider-thumb {
    -webkit-appearance: none;
    width: 18px;
    height: 22px;
    background: #666666;
    cursor: col-resize;
}
input[type=range] + output {
    float: right;
    width: 30%;
    height: 24px;
    line-height: 24px;
    font-size: 12px;
    text-align: center;
    font-weight: 700;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
textarea {
    width: 100%;
    height: 160px;
    margin-bottom: 8px;
    padding: 4px;
    box-sizing: border-box;
    font-size: 11px;
    resize: none;
}
select {
    width: 100%;
    height: 24px;
    line-height: 24px;
    margin-bottom: 8px;
    padding: 0 5px;
    box-sizing: border-box;
    border: 1px solid #666;
}

#loader {
	position: absolute;
	margin: 0;
	top: 50%;
	left: 50%;
	-webkit-transform: translateY(-50%, -50%);
	-moz-transform: translateY(-50%, -50%);
	-ms-transform: translateY(-50%, -50%);
	-o-transform: translateY(-50%, -50%);
	transform: translateY(-50%, -50%);

	font-family: Arial, Helvetica, sans-serif;
	text-align: center;
	font-size: 32px;
	line-height: 48px;
	color: #ffffff;
}

/**
  * Basic Loading Circle
  *
  * MIT License - https://github.com/jh3y/whirl/blob/master/LICENSE
*/
.basic:before {
	content: '';
	display: block;
	margin: auto;
	height: 50px;
	width: 50px;
	-webkit-animation: spin .5s infinite linear;
			animation: spin .5s infinite linear;
	border: 6px #666 solid;
	border-left-color: #fff;
	border-radius: 100%;
}
  
  @-webkit-keyframes spin {
	to {
	  -webkit-transform: rotate(360deg);
			  transform: rotate(360deg); } }
  
  @keyframes spin {
	to {
	  -webkit-transform: rotate(360deg);
			  transform: rotate(360deg); } }
